|  | Home

# QtGroupPropertyManager Class Reference

The QtGroupPropertyManager provides and manages group properties. More...

     #include <QtGroupPropertyManager>

Inherits QtAbstractPropertyManager.

- List of all members, including inherited members

## Public Functions

| QtGroupPropertyManager ( QObject * parent = 0 )
| ~QtGroupPropertyManager ()

- 3 public functions inherited from QtAbstractPropertyManager
- 29 public functions inherited from QObject

## Reimplemented Protected Functions

virtual bool | hasValue ( const QtProperty * property ) const
virtual void | initializeProperty ( QtProperty * property )
virtual void | uninitializeProperty ( QtProperty * property )

- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 4 signals inherited from QtAbstractPropertyManager
- 1 signal inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtGroupPropertyManager provides and manages group properties.

This class is intended to provide a grouping element without any value.

See also QtAbstractPropertyManager.

## Member Function Documentation

### QtGroupPropertyManager::QtGroupPropertyManager ( QObject * parent = 0 )

Creates a manager with the given parent.

### QtGroupPropertyManager::~QtGroupPropertyManager ()

Destroys this manager, and all the properties it has created.

### bool QtGroupPropertyManager::hasValue ( const QtProperty * property ) const `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::hasValue().

### void QtGroupPropertyManager::initializeProperty ( QtProperty * property ) `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::initializeProperty().

### void QtGroupPropertyManager::uninitializeProperty ( QtProperty * property ) `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::uninitializeProperty().